io.agora.rtc

## Class PaddedRawPixelBuffer

- java.lang.Object
- - io.agora.rtc.PaddedRawPixelBuffer

-     public class PaddedRawPixelBuffer
      extends java.lang.Object

  Padded raw pixel buffer for video frames.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private byte[]` | `data` Pixel data
    `private int` | `format` Pixel format
    `private int` | `size` Data size
    `private int` | `stride` Stride (bytes per row)

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PaddedRawPixelBuffer()` Default constructor for PaddedRawPixelBuffer.
    `PaddedRawPixelBuffer(int format, byte[] data, int size, int stride)` Constructs PaddedRawPixelBuffer with format, data, size, and stride.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getData()` Gets the pixel data.
    `int` | `getFormat()` Gets the pixel format.
    `int` | `getSize()` Gets the data size.
    `int` | `getStride()` Gets the stride (bytes per row).
    `void` | `setData(byte[] data)` Sets the pixel data.
    `void` | `setFormat(int format)` Sets the pixel format.
    `void` | `setSize(int size)` Sets the data size.
    `void` | `setStride(int stride)` Sets the stride (bytes per row).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### format

          private int format

      Pixel format

    - #### data

          private byte[] data

      Pixel data

    - #### size

          private int size

      Data size

    - #### stride

          private int stride

      Stride (bytes per row)

  - ### Constructor Detail

    - #### PaddedRawPixelBuffer

          public PaddedRawPixelBuffer()

      Default constructor for PaddedRawPixelBuffer.

    - #### PaddedRawPixelBuffer

          public PaddedRawPixelBuffer(int format,
                                      byte[] data,
                                      int size,
                                      int stride)

      Constructs PaddedRawPixelBuffer with format, data, size, and stride.
      Parameters:
        `format` - Pixel format
        `data` - Pixel data
        `size` - Data size
        `stride` - Stride (bytes per row)

  - ### Method Detail

    - #### getFormat

          public int getFormat()

      Gets the pixel format.
      Returns:
        Pixel format

    - #### setFormat

          public void setFormat(int format)

      Sets the pixel format.
      Parameters:
        `format` - Pixel format

    - #### getData

          public byte[] getData()

      Gets the pixel data.
      Returns:
        Pixel data

    - #### setData

          public void setData(byte[] data)

      Sets the pixel data.
      Parameters:
        `data` - Pixel data

    - #### getSize

          public int getSize()

      Gets the data size.
      Returns:
        Data size

    - #### setSize

          public void setSize(int size)

      Sets the data size.
      Parameters:
        `size` - Data size

    - #### getStride

          public int getStride()

      Gets the stride (bytes per row).
      Returns:
        Stride (bytes per row)

    - #### setStride

          public void setStride(int stride)

      Sets the stride (bytes per row).
      Parameters:
        `stride` - Stride (bytes per row)